Loading...
Searching...
No Matches
compress.c File Reference
`#include <grass/config.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "compress.h"`
Include dependency graph for compress.c:

Go to the source code of this file.

## Macros

#define | G_COMPRESSED_NO (unsigned char)'0'
#define | G_COMPRESSED_YES (unsigned char)'1'

## Functions

int | G_compressor_number (char *name)
char * | G_compressor_name (int number)
int | G_default_compressor (void)
int | G_check_compressor (int number)
int | G_no_compress_bound (int src_sz)
int | G_no_compress (unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
int | G_no_expand (unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
int | G_compress_bound (int src_sz, int number)
int | G_compress (unsigned char *src, int src_sz, unsigned char *dst, int dst_sz, int number)
int | G_expand (unsigned char *src, int src_sz, unsigned char *dst, int dst_sz, int number)
int | G_read_compressed (int fd, int rbytes, unsigned char *dst, int nbytes, int number)
int | G_write_compressed (int fd, unsigned char *src, int nbytes, int number)
int | G_write_uncompressed (int fd, const unsigned char *src, int nbytes)

## Macro Definition Documentation

## G_COMPRESSED_NO

#define G_COMPRESSED_NO (unsigned char)'0'

Definition at line 94 of file compress.c.

Referenced by G_read_compressed(), G_write_compressed(), and G_write_uncompressed().

## G_COMPRESSED_YES

#define G_COMPRESSED_YES (unsigned char)'1'

Definition at line 95 of file compress.c.

Referenced by G_read_compressed(), and G_write_compressed().

## Function Documentation

## G_check_compressor()

int G_check_compressor | ( | int | number | ) |

Definition at line 140 of file compress.c.

References compressor, and G_warning().

## G_compress()

int G_compress | ( | unsigned char * | src,
|  | int | src_sz,
|  | unsigned char * | dst,
|  | int | dst_sz,
|  | int | number )

Definition at line 218 of file compress.c.

References compressor, and G_fatal_error().

Referenced by G_write_compressed().

## G_compress_bound()

int G_compress_bound | ( | int | src_sz,
|  | int | number )

Definition at line 202 of file compress.c.

References compressor, and G_fatal_error().

Referenced by G_write_compressed().

## G_compressor_name()

char * G_compressor_name | ( | int | number | ) |

Definition at line 118 of file compress.c.

References compressor, and NULL.

## G_compressor_number()

int G_compressor_number | ( | char * | name | ) |

Definition at line 100 of file compress.c.

References compressor, G_strcasecmp(), and name.

## G_default_compressor()

int G_default_compressor | ( | void |  | ) |

Definition at line 126 of file compress.c.

## G_expand()

int G_expand | ( | unsigned char * | src,
|  | int | src_sz,
|  | unsigned char * | dst,
|  | int | dst_sz,
|  | int | number )

Definition at line 233 of file compress.c.

References compressor, and G_fatal_error().

Referenced by G_read_compressed().

## G_no_compress()

int G_no_compress | ( | unsigned char * | src,
|  | int | src_sz,
|  | unsigned char * | dst,
|  | int | dst_sz )

Definition at line 155 of file compress.c.

References NULL.

## G_no_compress_bound()

int G_no_compress_bound | ( | int | src_sz | ) |

Definition at line 150 of file compress.c.

## G_no_expand()

int G_no_expand | ( | unsigned char * | src,
|  | int | src_sz,
|  | unsigned char * | dst,
|  | int | dst_sz )

Definition at line 176 of file compress.c.

References NULL.

## G_read_compressed()

int G_read_compressed | ( | int | fd,
|  | int | rbytes,
|  | unsigned char * | dst,
|  | int | nbytes,
|  | int | number )

Definition at line 244 of file compress.c.

References b, err(), G_COMPRESSED_NO, G_COMPRESSED_YES, G_expand(), G_free(), G_warning(), and NULL.

## G_write_compressed()

int G_write_compressed | ( | int | fd,
|  | unsigned char * | src,
|  | int | nbytes,
|  | int | number )

Definition at line 323 of file compress.c.

References err(), G_compress(), G_compress_bound(), G_COMPRESSED_NO, G_COMPRESSED_YES, G_free(), G_warning(), and NULL.

## G_write_uncompressed()

int G_write_uncompressed | ( | int | fd,
|  | const unsigned char * | src,
|  | int | nbytes )

Definition at line 410 of file compress.c.

References err(), G_COMPRESSED_NO, G_warning(), and NULL.